Subject: My address...
From: Johnny Billquist <[email-masked]>
To: [email-masked]
Date: Thu 16 Nov 89 19:40:31

has changed. Since I don't know which people might
have my old address, I'm sending this to all you guys
on pdp8-lovers. My old address was [email-masked],
but since the funny actions of the owner of that machine
(Peter Lothberg) has disabled my account for no reason
on that machine, you can no longer send any mail to me
there.

Please note my new (and only) address is:
[email-masked]

	Kind regards
	Johnny

Date: Tue 21 Nov 89 20:25:50
From: Johnny Billquist <[email-masked]>
Subject: The program problem...
To: [email-masked]

Did anybody manage to write a program that clears 4kw memory,
including the space that the program resides in?

I didn't.

Cold we have the answer, maybe.

	Johnny

Date: Tue 21 Nov 89 20:32:18
From: Johnny Billquist <[email-masked]>
Subject: MACREL...
To: [email-masked]

Hi, all you pdp8 lovers out there...

Does anybody has the sources for MACREL version 2?
I have the binaries, but would like to have the sources
as well.

	Johnny

Date: Wed, 22 Nov 89 08:55:31 EST
From: "Robert E. Seastrom" <[email-masked]>
Subject:  The program problem...
To: "[email-masked]"@MINTAKA.LCS.MIT.EDU
cc: [email-masked]

Here's one that I just whipped up.  My PDP-8s are in storage, else
I'd check it, so someone else will have to do it for me.

	*0
	DCA IZ 10
	0
	0
	0
	0
	0
	0
	0

	*10
	11

	*7773
LOOP,	CLL CLA
	SKP
	DCA JPK
	DCA IZ 10
JPK,	JMP LOOP

Theory of operation:  Start program at 7773.  It will start dropping
zeros into memory beginning at location 11.  Bear in mind that 0000
is AND 0; if the accumulator is clear, it serves as a two-cycle no-op.
The CLA CLL is not necessary except on the first pass, and is the
first instruction of the program to get wiped out.  Next instruction
to die is the SKIP, which will cause (on the next loop) the DCA JPK
instruction to be executed, obliterating the jump.  The program counter 
will loop around to 0000 and clear out the last couple of words...

                                        ---Rob